Description

I've installed a minimal install of cent65 added epel puppet and the foreman latest release repos.

[root@foreman ~]# rpm -qa | grep release

epel-release-5-4.noarch

foreman-release-1.4.1-2.el6.noarch

puppetlabs-release-6-10.noarch

centos-release-6-5.el6.centos.11.2.x86_64

[root@foreman ~]# yum install foreman-installer foreman -y

throws lots of dependency issues.

if I add the 1.3 release repo and get package conflicts:

Transaction Check Error:

file /usr/bin/ruby193-rake conflicts between attempted installs of ruby193-ruby-wrapper-0.0.2-4.el6.noarch and

ruby193-rubygem-rake-0.9.2.2-29.el6.noarch

file /usr/bin/ruby193-ruby conflicts between attempted installs of ruby193-ruby-1.9.3.327-29.el6.x86_64 and

ruby193-ruby-wrapper-0.0.2-4.el6.noarch

So I install just ruby 1.9

[root@foreman ~]# yum install ruby193-ruby -y

Then I can finish the foreman

[root@foreman ~]# yum install foreman-installer foreman -y

Now when I run the installer:

[root@foreman ~]# foreman-installer --foreman-proxy-dhcp true --foreman-proxy-dns true

I get a segmentation fault:

[ INFO 2014-02-25 16:11:42 main] /usr/lib/ruby/1.8/pathname.rb:287: [BUG] Segmentation fault

[ INFO 2014-02-25 16:11:42 main] ruby 1.8.7 (2011-06-30 patchlevel 352) [x86_64-linux]

[ INFO 2014-02-25 16:11:42 main]

[ INFO 2014-02-25 16:11:42 main] sh: line 1:  1696 Done                    echo '$kafo_config_file="/etc/foreman/foreman-installer.yaml" 

$kafo_add_progress=true include kafo_configure'

[ INFO 2014-02-25 16:11:42 main]       1697 Aborted                 |

RUBYLIB=/usr/lib/ruby/gems/1.8/gems/kafo-0.3.16/lib/kafo/../..//modules: puppet apply --verbose --debug --trace --color=false

--show_diff --detailed-exitcodes --modulepath /usr/share/foreman-installer/modules:/usr/lib/ruby/gems/1.8/gems/kafo-0.3.16/modules

History

#1 - 02/26/2014 01:55 AM - Dan Radez

Well this is me learning the hard way. After I used the centos-release-SCL repo most of this went away.

This bug can be thrown out and I'll re-file if I hit something else.

#2 - 02/26/2014 08:36 AM - Dominic Cleal

- Status changed from New to Resolved
Thanks for confirming, not sure what happened there.  The segfault is filed as #4244, it's an issue with Puppet 3.4 on Ruby 1.8.
